Subject: bug#11072: Display of glyphless non-spacing modifiers via a static composition

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Mar 2012 12:12:02 +0200

> From: Kenichi Handa <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Fri, 23 Mar 2012 10:41:07 +0900
> 
> In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:
> 
> > Btw, there's some strange problem in displaying one label of the
> > hebrew-biblical-tiro input method: the character u+05ba (inserted by
> > Shift-5 key) is displayed as a blank rectangle.  It looks like my
> > fonts have no glyph for this character, but then why don't we display
> > this like any other glyphless character: as a hex code inside a small
> > rectangle?  That's what I get if I insert this character into a
> > buffer, but somehow the way we display it in the keyboard layout (and
> > in the "C-u C-x =" display under "decomposition") behaves differently.
> > Why is that?
> 
> As that character is a non-spacing modifier, we display it
> with a static composition, and a glyph in a static
> composition are displayed by a blank rectangle if no font is
> available.  This is because a hex code makes the resulting
> display of composition (several glyphs may occupy a single
> column) unreadable.
> 
> It may be possible to change the current code to use a hex
> code displaying if a composition contains just one glyph and
> that glyph has no font, but it may be for 24.2.

So this bug will wait for after Emacs 24.1 release to be fixed.

Thanks.